class ApplicationController < ActionController::Base
  after_filter :compress # compress response
end

class BankController < ApplicationController
  before_filter :audit # log requests
  # ...
end

class VaultController < BankController
  skip_before_filter :audit
  before_filter :verify_credentials
end
