class SomeController < ApplicationController
  before_filter :require_authentication

  # ...

  protected
  def require_authentication
    unless current_user.logged_in?
      flash[:error] = "Please log in."
      redirect_to new_session_url
    end
  end
end
