class User < ActiveRecord::Base
  attr_accessible :first_name, :last_name, :middle_name
  has_one :address

  delegate :city, :street, :state, :zip_code,
            to: :address,
            prefix: true
end
