class User < ActiveRecord::Base
  attr_accessible :first_name, :last_name, :middle_name
  has_one :address
end

class Address < ActiveRecord::Base
  attr_accessible :street, :city, :state, :zip_code
  belongs_to :user
end
